wordpress版本问题错误Warning: Creating default object from empty value in

请各位大神帮忙看看,小弟是新手实在不知道怎么解决了,PHP版本降低成php5.3是正常的,5.4就提示如下错误:

代码如下:

谢谢各位2016-07-27 15:31:33点赞只看楼主引用举报 楼主

xuzuning

Blank
Blank
Blank
Blank

   $this->db 不是对象
不是 php 版本问题,而是 php 配置问题
@$this->db->prefix = .....
即可

贴代码时,请不要贴图2016-07-27 16:07:59#1得分 40

u014567183

Blank

 你可以先实例化对象。然后再操作试试。2016-07-27 16:17:58#2得分 0

揽胜设计

引用 1 楼 xuzuning 的回复:

$this->db 不是对象
不是 php 版本问题,而是 php 配置问题
@$this->db->prefix = .....
即可

贴代码时,请不要贴图

引用 1 楼 xuzuning 的回复:

$this->db 不是对象
不是 php 版本问题,而是 php 配置问题
@$this->db->prefix = .....
即可

贴代码时,请不要贴图

感谢版主,完美解决,下回注意

本文由 泓源视野 作者:admin 发表,其版权均为 泓源视野 所有,文章内容系作者个人观点,不代表 泓源视野 对观点赞同或支持。如需转载,请注明文章来源。

发表评论

Protected with IP Blacklist CloudIP Blacklist Cloud

您是第8231081 位访客, 您的IP是:[34.232.51.240]